#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QtWidgets>
#include <QQuickWidget>
#include <QQmlEngine>

class MainWindow : public QMainWindow
{
   Q_OBJECT

public:
   MainWindow(QWidget *parent = 0);
   ~MainWindow();

protected:

   QQuickWidget *cam_;

protected slots:

   void camStatusChanged(QQuickWidget::Status status);

   void start();
   void stop();
};

#endif // MAINWINDOW_H
